"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const debounce_1 = __importDefault(require("../../utility/debounce"));
class SearchBox extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.handleChange = event => {
            const value = event.currentTarget.value;
            this.setState({ value });
            this.debouncedOnSearch(value);
        };
        this.handleClear = () => {
            this.setState({ value: '' });
            this.props.onSearch('');
        };
        this.state = { value: props.value || '' };
        this.debouncedOnSearch = debounce_1.default(200, this.props.onSearch);
    }
    render() {
        return (<label className="search-box">
        <div className="search-box-icon" aria-hidden="true">
          {'\u26b2'}
        </div>
        <input value={this.state.value} onChange={this.handleChange} type="text" placeholder={this.props.placeholder} aria-label={this.props.placeholder}/>
        {this.state.value && (<button className="search-box-clear" onClick={this.handleClear} aria-label="Clear search input">
            {'\u2715'}
          </button>)}
      </label>);
    }
}
exports.default = SearchBox;
//# sourceMappingURL=SearchBox.jsx.map