"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
class ToolbarButton extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.handleClick = () => {
            try {
                this.props.onClick();
                this.setState({ error: null });
            }
            catch (error) {
                this.setState({ error });
            }
        };
        this.state = { error: null };
    }
    render() {
        const { error } = this.state;
        return (<button className={'toolbar-button' + (error ? ' error' : '')} onClick={this.handleClick} title={error ? error.message : this.props.title} aria-invalid={error ? 'true' : 'false'}>
        {this.props.label}
      </button>);
    }
}
exports.ToolbarButton = ToolbarButton;
//# sourceMappingURL=ToolbarButton.jsx.map