"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function debounce(duration, fn) {
    let timeout;
    return function (...args) {
        if (timeout) {
            window.clearTimeout(timeout);
        }
        timeout = window.setTimeout(() => {
            timeout = null;
            fn.apply(this, args);
        }, duration);
    };
}
exports.default = debounce;
//# sourceMappingURL=debounce.js.map